package com.qhtx.eta.domain.api.http.response.eta;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.qhtx.eta.domain.api.http.request.ETAPushData;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
public class ETAPushIndex implements Serializable {
    private static final long serialVersionUID = -7357872175938006661L;
    @JsonProperty("IndexCode")
    private String indexCode;
    @JsonProperty("IndexName")
    private String indexName;
    @JsonProperty("Unit")
    private String unit;
    @JsonProperty("StartDate")
    private String startDate;
    @JsonProperty("EndDate")
    private String endDate;
    @JsonProperty("Frequency")
    private String frequency;
    @JsonProperty("SourceName")
    private String sourceName;
    @JsonProperty("DataList")
    private List<ETAPushData> dataList;
}
