package com.qhtx.eta.infra.mapper;

import com.qhtx.eta.infra.entity.dw.TEtaIndexMapping;
import org.apache.ibatis.annotations.Param;

/**
 * (TEtaIndexMapping)表数据库访问层
 *
 * @author makejava
 * @since 2025-01-14 10:32:19
 */
public interface TEtaIndexMappingDao {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    TEtaIndexMapping queryById(Integer id);


    /**
     * 统计总行数
     *
     * @param tEtaIndexMapping 查询条件
     * @return 总行数
     */
    long count(TEtaIndexMapping tEtaIndexMapping);

    /**
     * 新增数据
     *
     * @param tEtaIndexMapping 实例对象
     * @return 影响行数
     */
    int insert(@Param("entity") TEtaIndexMapping tEtaIndexMapping);


    /**
     * 修改数据
     *
     * @param tEtaIndexMapping 实例对象
     * @return 影响行数
     */
    int update(TEtaIndexMapping tEtaIndexMapping);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 影响行数
     */
    int deleteById(Integer id);

    TEtaIndexMapping queryByLinkCode(@Param("linkCode") String linkCode);
}

